import { initRules, initParams } from "@/utils/init.js";

export default function useData(prop) {
  const { TableColumns, TabColumns } = prop;
  const size = "mini";
  const width = "100%";
  const visible = false;
  const loading = false;
  const tableColumns = TableColumns;
  const rules = initRules(TableColumns);
  const params = {
    priceApplyOrgs: [],
    priceApplyItems: [],
    ...initParams(TableColumns),
  };
  const resetParams = () => ({
    priceApplyOrgs: [],
    priceApplyItems: [],
    ...initParams(TableColumns),
  });
  const tabColumns = TabColumns;
  const tabName = "priceApplyItems";
  return {
    size,
    width,
    visible,
    loading,
    tableColumns,
    rules,
    params,
    tabColumns,
    tabName,
    resetParams,
  };
}
